Bug 782546 - (oxygen-gtk2) Review Request: oxygen-gtk2 - Oxygen GTK+2 theme
Review Request: oxygen-gtk2 - Oxygen GTK+2 theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-01-17 11:35 EST by nucleo
Modified: 2012-01-26 16:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-26 16:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2012-01-17 11:35:01 EST
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk2/oxygen-gtk2.spec
SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk2/oxygen-gtk2-1.2.0-2.fc16.src.rpm
Description:
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk-based and
qt-based applications running under KDE. A secondary objective is to also
have a stand-alone nice looking gtk theme that would behave well on other
Desktop Environments.

Unlike other attempts made to port the KDE oxygen theme to gtk, this
attempt does not depend on Qt (via some Qt to Gtk conversion engine), 
nor does render the widget appearance via hard-coded pixmaps, which 
otherwise breaks every time some setting is changed in KDE.
Comment 1 nucleo 2012-01-17 11:37:03 EST
The oxygen-gtk package name was changed to oxygen-gtk2, to avoid confusion with the GTK 3.x version of the theme.
oxygen-gtk will be metapackage that requires both GTK+2 and GTK+3 themes:
http://nucleo.fedorapeople.org/pkg-reviews/oxygen-gtk2/oxygen-gtk.spec
Comment 3 Rex Dieter 2012-01-24 12:15:40 EST
I think we could be careful here and include
Conflicts: oxygen-gtk < 1.2.0-2
instead, but I won't consider that a review blocker, and we can sort out the upgrade details with the meta-package post-review.

Otherwise, package is clean, having been reviewed as oxygen-gtk not too long ago. :)

rpmlint *rpm
oxygen-gtk2.src: W: spelling-error %description -l en_US gtk -> gt, gt k
oxygen-gtk2.src: W: spelling-error %description -l en_US pixmaps -> pix maps, pix-maps, bitmaps
oxygen-gtk2.src: W: strange-permission oxygen-gtk2-1.2.0.tar.bz2 0444L
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

mostly harmless.


naming: ok

sources: ok
975dfef679436c849a649c9d5d9ae0d3  oxygen-gtk2-1.2.0.tar.bz2

scriptlets: n/a

macros: ok



APPROVED.
Comment 4 nucleo 2012-01-24 12:33:15 EST
Thanks.
I will add Conflicts: oxygen-gtk < 1.2.0-2 in git.


New Package SCM Request
=======================
Package Name: oxygen-gtk2
Short Description: Oxygen GTK+2 theme
Owners: rdieter nucleo
Branches: f16
InitialCC:
Comment 5 Jon Ciesla 2012-01-25 20:45:58 EST
Git done (by process-git-requests).
Comment 6 nucleo 2012-01-26 16:47:55 EST
oxygen-gtk2-1.2.0-3.fc17 and oxygen-gtk-1.2.0-2.fc17 in Rawhide.
Maybe it is makes sense to add them in kde48 repo because oxygen-gtk-1.2.0 is for KDE 4.8? (oxygen-gtk3-1.0.0-1.fc16 already in F16 updates).

Note You need to log in before you can comment on or make changes to this bug.